SDL_SetTrayIcon(3)

NAME
SDL_SetTrayIcon - Updates the system tray icon's icon.

HEADER FILE
Defined in SDL3/SDL_tray.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_SetTrayIcon(SDL_Tray *tray, SDL_Surface *icon);

FUNCTION PARAMETERS

tray
    the tray icon to be updated.

icon
    the new icon. May be NULL.

THREAD SAFETY
This function should be called on the thread that created the tray.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateTray(3)